io.etcd.jetcd.api

## Class DeleteRangeRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DeleteRangeRequest.Builder>
      - - io.etcd.jetcd.api.DeleteRangeRequest.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, DeleteRangeRequestOrBuilder, Cloneable

Enclosing class:
  DeleteRangeRequest

    public static final class DeleteRangeRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DeleteRangeRequest.Builder>
    implements DeleteRangeRequestOrBuilder

Protobuf type `etcdserverpb.DeleteRangeRequest`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`DeleteRangeRequest.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DeleteRangeRequest` `build()`
`DeleteRangeRequest` `buildPartial()`
`DeleteRangeRequest.Builder` `clear()`
`DeleteRangeRequest.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DeleteRangeRequest.Builder` `clearKey()` key is the first key to delete in the range.
`DeleteRangeRequest.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DeleteRangeRequest.Builder` `clearPrevKv()` If prev_kv is set, etcd gets the previous key-value pairs before deleting it.
`DeleteRangeRequest.Builder` `clearRangeEnd()` range_end is the key following the last key to delete for the range [key, range_end).
`DeleteRangeRequest.Builder` `clone()`
`DeleteRangeRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`com.google.protobuf.ByteString` `getKey()` key is the first key to delete in the range.
`boolean` `getPrevKv()` If prev_kv is set, etcd gets the previous key-value pairs before deleting it.
`com.google.protobuf.ByteString` `getRangeEnd()` range_end is the key following the last key to delete for the range [key, range_end).
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`DeleteRangeRequest.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DeleteRangeRequest.Builder` `mergeFrom(DeleteRangeRequest other)`
`DeleteRangeRequest.Builder` `mergeFrom(com.google.protobuf.Message other)`
`DeleteRangeRequest.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DeleteRangeRequest.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DeleteRangeRequest.Builder` `setKey(com.google.protobuf.ByteString value)` key is the first key to delete in the range.
`DeleteRangeRequest.Builder` `setPrevKv(boolean value)` If prev_kv is set, etcd gets the previous key-value pairs before deleting it.
`DeleteRangeRequest.Builder` `setRangeEnd(com.google.protobuf.ByteString value)` range_end is the key following the last key to delete for the range [key, range_end).
`DeleteRangeRequest.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DeleteRangeRequest.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DeleteRangeRequest.Builder>`

#### clear

    public DeleteRangeRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DeleteRangeRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DeleteRangeRequest.Builder>`

#### getDefaultInstanceForType

    public DeleteRangeRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public DeleteRangeRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public DeleteRangeRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public DeleteRangeRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DeleteRangeRequest.Builder>`

#### setField

    public DeleteRangeRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                               Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DeleteRangeRequest.Builder>`

#### clearField

    public DeleteRangeRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DeleteRangeRequest.Builder>`

#### clearOneof

    public DeleteRangeRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DeleteRangeRequest.Builder>`

#### setRepeatedField

    public DeleteRangeRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                       int index,
                                                       Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DeleteRangeRequest.Builder>`

#### addRepeatedField

    public DeleteRangeRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                       Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DeleteRangeRequest.Builder>`

#### mergeFrom

    public DeleteRangeRequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DeleteRangeRequest.Builder>`

#### mergeFrom

    public DeleteRangeRequest.Builder mergeFrom(DeleteRangeRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DeleteRangeRequest.Builder>`

#### mergeFrom

    public DeleteRangeRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                         throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DeleteRangeRequest.Builder>`
Throws:
  `IOException`

#### getKey

    public com.google.protobuf.ByteString getKey()

     key is the first key to delete in the range.

`bytes key = 1;`

Specified by:
  `getKey` in interface `DeleteRangeRequestOrBuilder`
Returns:
  The key.

#### setKey

    public DeleteRangeRequest.Builder setKey(com.google.protobuf.ByteString value)

     key is the first key to delete in the range.

`bytes key = 1;`

Parameters:
  `value` - The key to set.
Returns:
  This builder for chaining.

#### clearKey

    public DeleteRangeRequest.Builder clearKey()

     key is the first key to delete in the range.

`bytes key = 1;`

Returns:
  This builder for chaining.

#### getRangeEnd

    public com.google.protobuf.ByteString getRangeEnd()

     range_end is the key following the last key to delete for the range [key, range_end).
     If range_end is not given, the range is defined to contain only the key argument.
     If range_end is one bit larger than the given key, then the range is all the keys
     with the prefix (the given key).
     If range_end is '\0', the range is all keys greater than or equal to the key argument.

`bytes range_end = 2;`

Specified by:
  `getRangeEnd` in interface `DeleteRangeRequestOrBuilder`
Returns:
  The rangeEnd.

#### setRangeEnd

    public DeleteRangeRequest.Builder setRangeEnd(com.google.protobuf.ByteString value)

     range_end is the key following the last key to delete for the range [key, range_end).
     If range_end is not given, the range is defined to contain only the key argument.
     If range_end is one bit larger than the given key, then the range is all the keys
     with the prefix (the given key).
     If range_end is '\0', the range is all keys greater than or equal to the key argument.

`bytes range_end = 2;`

Parameters:
  `value` - The rangeEnd to set.
Returns:
  This builder for chaining.

#### clearRangeEnd

    public DeleteRangeRequest.Builder clearRangeEnd()

     range_end is the key following the last key to delete for the range [key, range_end).
     If range_end is not given, the range is defined to contain only the key argument.
     If range_end is one bit larger than the given key, then the range is all the keys
     with the prefix (the given key).
     If range_end is '\0', the range is all keys greater than or equal to the key argument.

`bytes range_end = 2;`

Returns:
  This builder for chaining.

#### getPrevKv

    public boolean getPrevKv()

     If prev_kv is set, etcd gets the previous key-value pairs before deleting it.
     The previous key-value pairs will be returned in the delete response.

`bool prev_kv = 3;`

Specified by:
  `getPrevKv` in interface `DeleteRangeRequestOrBuilder`
Returns:
  The prevKv.

#### setPrevKv

    public DeleteRangeRequest.Builder setPrevKv(boolean value)

     If prev_kv is set, etcd gets the previous key-value pairs before deleting it.
     The previous key-value pairs will be returned in the delete response.

`bool prev_kv = 3;`

Parameters:
  `value` - The prevKv to set.
Returns:
  This builder for chaining.

#### clearPrevKv

    public DeleteRangeRequest.Builder clearPrevKv()

     If prev_kv is set, etcd gets the previous key-value pairs before deleting it.
     The previous key-value pairs will be returned in the delete response.

`bool prev_kv = 3;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final DeleteRangeRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DeleteRangeRequest.Builder>`

#### mergeUnknownFields

    public final DeleteRangeRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DeleteRangeRequest.Builder>`